#!/usr/bin/env python3

from audit.system.plugins.postfix.parsing import Parsing
from audit.system.plugins.postfix.postfix import postfix

class Postfix:
    def __init__(self):
        self._objects = dict()
        self._reports = dict()

        self._postfix()

        self._parsing = Parsing(self._objects)

    def _postfix(self):
        self._objects = postfix()

    def runAudit(self):
        print("Running test for postfix")

    def getReports(self) -> dict:
        return self._reports
